## BtMissingFrameworkElementsDialog BtMissingFrameworkElementsDialog — missing core and application elements |

## Functions

BtMissingFrameworkElementsDialog * | bt_missing_framework_elements_dialog_new ()
void | bt_missing_framework_elements_dialog_apply ()

## Properties

gpointer | core-elements | Write / Construct Only
gpointer | edit-elements | Write / Construct Only

## Types and Values

struct | BtMissingFrameworkElementsDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── BtMissingFrameworkElementsDialog

## Implemented Interfaces

BtMissingFrameworkElementsDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

A dialog to inform about missing core and application elements.

## Functions

### bt_missing_framework_elements_dialog_new ()

    BtMissingFrameworkElementsDialog *
    bt_missing_framework_elements_dialog_new
                                   (GList *core_elements,
                                    GList *edit_elements);

Create a new instance

#### Parameters

core_elements | list of missing core elements |
edit_elements | list of missing edit elements |

#### Returns

the new instance or `NULL` in case there is nothing new to show

### bt_missing_framework_elements_dialog_apply ()

    void
    bt_missing_framework_elements_dialog_apply
                                   (const BtMissingFrameworkElementsDialog *self);

Makes the dialog settings effective.

#### Parameters

self | the dialog which settings to apply |

## Types and Values

### struct BtMissingFrameworkElementsDialog

    struct BtMissingFrameworkElementsDialog;

the root window for the editor application

## Property Details

### The `“core-elements”` property

      “core-elements”            gpointer

Set missing core-elements list, the dialog handles.

Flags: Write / Construct Only

### The `“edit-elements”` property

      “edit-elements”            gpointer

Set missing edit-elements list, the dialog handles.

Flags: Write / Construct Only